using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("RankPrice")]
    public partial class RankPrice : Entity, IAuditUpdate, IAuditAdd
    {
        [StringLength(200)]
        public string RankName { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Timepoint { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal TimepointIn24H { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal TimepointIn48H { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Adjudication { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal AdjudicationIn24H { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal AdjudicationIn48H { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Global { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Training { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Downtime { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal RefresherTraining { get; set; }
        public int ShowOrder { get; set; }

        public DateTime CreateTime { get; set; }
        public Guid CreateUserId { get; set; } = Guid.Empty;
        public DateTime UpdateTime { get; set; }
        public Guid UpdateUserId { get; set; } = Guid.Empty;
    }
}
